module.exports = {
  props: {
    multiple: {
      type: Boolean,
      "default": false
    },
    offset: {
      type: Number,
      "default": 0
    },
    after: {
      type: Number,
      "default": 0
    }
  },
  mixins: [require("vue-mixins/onWindowScroll"), require("vue-mixins/getViewportSize"), require("vue-mixins/onWindowResize")],
  methods: {
    processScroll: function() {
      var pos;
      pos = this.$el.getBoundingClientRect().top + this.offset - this.height;
      if (this.lastPos > 0 && pos <= 0) {
        if (this.after > 0) {
          setTimeout(((function(_this) {
            return function() {
              return _this.$emit("entered");
            };
          })(this)), this.after);
        } else {
          this.$emit("entered");
        }
        if (!this.multiple) {
          setTimeout(this.disposeListener, 1);
        }
      }
      return this.lastPos = pos;
    },
    getHeight: function() {
      return this.height = this.getViewportSize().height;
    }
  },
  compiled: function() {
    this.lastPos = Number.MAX_VALUE;
    this.getHeight();
    this.onWindowResize(this.getHeight);
    return this.disposeListener = this.onWindowScroll(this.processScroll);
  }
};

if (module.exports.__esModule) module.exports = module.exports.default
;(typeof module.exports === "function"? module.exports.options: module.exports).template = "<span></span>"
